import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-news',
  templateUrl: './news.component.html',
  styleUrls: ['./news.component.scss'],
})
export class NewsComponent implements OnInit {
  newsList = [
    {
      title: '重大新闻标题1',
      summary: '这是新闻摘要1。这是一个简短的新闻描述。',
      image: 'assets/news1.jpg',
      date: new Date(),
    },
    {
      title: '重大新闻标题2',
      summary: '这是新闻摘要2。这是一个简短的新闻描述。',
      image: 'assets/news2.jpg',
      date: new Date(),
    },
    {
      title: '重大新闻标题3',
      summary: '这是新闻摘要3。这是一个简短的新闻描述。',
      image: 'assets/news3.jpg',
      date: new Date(),
    },
    // Add more news items as needed
  ];

  constructor() {}

  ngOnInit() {}
}